Suba la aplicación usando la versión anterior de Xcode. ¿Estará disponible la aplicación en dispositivos iOS 10?

No quiero actualizar a Xcode 8 después de escuchar que la gente tiene problemas con cocoa pods . Sé que tengo que hacerlo, pero lo que me pregunto es si puedo upload una aplicación a la tienda de aplicaciones con Xcode 7 y Swift 2.3 y aún tenerla disponible para usuarios iOS 10 .

Afortunadamente sí

Será aplicable para todos los dispositivos. Porque establece el objective mínimo, no el máximo.

Por lo tanto, se ejecutará sobre la versión, se establece como destino.

¡Sí! Puede cargar su aplicación usando Xcode 7.x (o debajo) y estará disponible para usuarios de iOS 10.

El objective de implementación es el determinante (mínimo)